# WaitlistFormSnapshot

> Get the first published snapshot of a waitlist's signup form, by form id: what the signup… Read access, waitlists toolset, MCP tool get_waitlist_form_snapshot.

Get the first published snapshot of a waitlist's signup form, by form id: what the signup page renders.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `formId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistFormSnapshot","variables":{"formId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"243b2d3310013a8924a0ff08502df215ea88104c089791febd5f4d76c0eb7459"}}}'
```

## Document

```graphql
query WaitlistFormSnapshot($formId: UUID!) { __typename formByRowId(rowId: $formId) { __typename formSnapshotsByFormId(condition: {version: 1}, first: 1) { __typename nodes { __typename id payload } } id } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-form-snapshot
